---
- name: Fail with custom message
  ansible.builtin.fail:
    msg: "{{ item['msg'] }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: "{{ item['name'] }}"
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_fail
